Package org.opengis.cite.iso19142

# Class SuitePreconditions

java.lang.Object
org.opengis.cite.iso19142.SuitePreconditions

public class SuitePreconditions extends Object
Includes tests to confirm the readiness of the SUT to undergo testing. If any of these test methods fail then its name is added to the suite attribute `SuiteAttribute.FAILED_PRECONDITIONS`. The presence of the attribute can be checked in a `@BeforeTest` method to determine whether or not a set of tests should be skipped if one or more preconditions were not satisfied.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuitePreconditions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dataAreAvailable(org.testng.ITestContext testContext)`
  [@Test] Confirms that the SUT can supply data for at least one advertised feature type.
  `void`
  `preconditionNotSatisfied(org.testng.ITestResult result)`
  `void`
  `serviceIsAvailable(org.testng.ITestContext testContext)`
  [@Test] Confirms that the SUT is available and produces a service description in response to a basic GetCapabilities request.
  `void`
  `verifyServiceDescription(org.testng.ITestContext testContext)`
  [@Test] Verifies that the test subject is a WFS 2.0 service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SuitePreconditions

    public SuitePreconditions()

- ## Method Details

  - ### preconditionNotSatisfied

    @AfterMethod public void preconditionNotSatisfied(org.testng.ITestResult result)

  - ### verifyServiceDescription

    public void verifyServiceDescription(org.testng.ITestContext testContext)
    [@Test] Verifies that the test subject is a WFS 2.0 service. The document element in the supplied metadata resource must be "{http://www.opengis.net/wfs/2.0}WFS_Capabilities".
    Parameters:
      `testContext` - The test run context (ITestContext).

  - ### serviceIsAvailable

    public void serviceIsAvailable(org.testng.ITestContext testContext)
    [@Test] Confirms that the SUT is available and produces a service description in response to a basic GetCapabilities request. The document element is expected to have the following infoset properties:
    - [local name] = "WFS_Capabilities"
    - [namespace name] = "http://www.opengis.net/wfs/2.0"
    Parameters:
      `testContext` - Supplies details about the test run.

  - ### dataAreAvailable

    public void dataAreAvailable(org.testng.ITestContext testContext)
    [@Test] Confirms that the SUT can supply data for at least one advertised feature type.
    Parameters:
      `testContext` - Supplies details about the test run.